<html>
<head>
<title>Ogre::Billboard Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Billboard.html">Billboard</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Billboard Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Billboard" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A billboard is a primitive which always faces the camera in every frame.  
 <a href="classOgre_1_1Billboard.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Billboard:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Billboard__inherit__graph.gif" border="0" usemap="#Ogre_1_1Billboard_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Billboard_inherit__map" id="Ogre_1_1Billboard_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="25,5,92,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Billboard-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a39ef001d2052cbae98014753e210b732">Billboard</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a39ef001d2052cbae98014753e210b732"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a3ef9bffd0c2a51d1bbac274bdf86c869">~Billboard</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default destructor.  <a href="#a3ef9bffd0c2a51d1bbac274bdf86c869"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aff96bdb3a3446cdf08499e58aa03c3c5">Billboard</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;position, <a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *owner, const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour=<a class="el" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Normal constructor as called by <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>.  <a href="#aff96bdb3a3446cdf08499e58aa03c3c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a21d65daa1be659c9234da380b8e9f2f4">getRotation</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the rotation of the billboard.  <a href="#a21d65daa1be659c9234da380b8e9f2f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a8e64eda09ec65dea10dc180b68801d94">setRotation</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rotation)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the rotation of the billboard.  <a href="#a8e64eda09ec65dea10dc180b68801d94"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aeb9ce5d9c11492faf34f3ee61e4a4a40">setPosition</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;position)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the position of the billboard.  <a href="#aeb9ce5d9c11492faf34f3ee61e4a4a40"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a0e78e6b90bbf3184f45d0a87bbeb229b">setPosition</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> z)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the position of the billboard.  <a href="#a0e78e6b90bbf3184f45d0a87bbeb229b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a36dfa19a35f697aadf9844021fcedb03">getPosition</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the position of the billboard.  <a href="#a36dfa19a35f697aadf9844021fcedb03"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ac7c7422926a4387ae58c7303b701b8f0">setDimensions</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> width, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> height)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the width and height for this billboard.  <a href="#ac7c7422926a4387ae58c7303b701b8f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ae5bf31f1d013a1f0c3b5a92e46c76d11">resetDimensions</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets this <a class="el" href="classOgre_1_1Billboard.html" title="A billboard is a primitive which always faces the camera in every frame.">Billboard</a> to use the parent <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>'s dimensions instead of it's own.  <a href="#ae5bf31f1d013a1f0c3b5a92e46c76d11"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a9126c29605e55b8bdb5f81adf267259a">setColour</a> (const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;colour)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the colour of this billboard.  <a href="#a9126c29605e55b8bdb5f81adf267259a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#adc2355d3465e10bde213705e432e0826">getColour</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the colour of this billboard.  <a href="#adc2355d3465e10bde213705e432e0826"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a3857d9e9a3e831f8621598be8ad54e16">hasOwnDimensions</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this billboard deviates from the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>'s default dimensions (i.e.  <a href="#a3857d9e9a3e831f8621598be8ad54e16"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#adc14c9f66bf55dc51286b163f1417fbb">getOwnWidth</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the billboard's personal width, if hasOwnDimensions is true.  <a href="#adc14c9f66bf55dc51286b163f1417fbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a0baf5a83e70a59a3cdaf4ce4a929b4d4">getOwnHeight</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the billboard's personal width, if hasOwnDimensions is true.  <a href="#a0baf5a83e70a59a3cdaf4ce4a929b4d4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a88d66ce919092367df57a2e3abcae059">_notifyOwner</a> (<a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *owner)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for notifying the billboard of it's owner.  <a href="#a88d66ce919092367df57a2e3abcae059"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aeea6556e787c984b97bf779b7b90dbb1">isUseTexcoordRect</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if this billboard use individual texture coordinate rect (i.e.  <a href="#aeea6556e787c984b97bf779b7b90dbb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4">setTexcoordIndex</a> (<a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> texcoordIndex)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">setTexcoordIndex()</a> sets which texture coordinate rect this billboard will use when rendering.  <a href="#ae8aa54c0303721dfc34ebbd8bdf1e8f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a44c9c4056e597a7b50d8881fc1d1785d">getTexcoordIndex</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#a44c9c4056e597a7b50d8881fc1d1785d" title="getTexcoordIndex() returns the previous value set by setTexcoordIndex().">getTexcoordIndex()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">setTexcoordIndex()</a>.  <a href="#a44c9c4056e597a7b50d8881fc1d1785d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb">setTexcoordRect</a> (const <a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a> &amp;texcoordRect)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering.  <a href="#a22f28d979395f04c6039d46a68c4eefb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a78525470bb318948f9cf68ddf9281aa8">setTexcoordRect</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> u0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> v0, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> u1, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> v1)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering.  <a href="#a78525470bb318948f9cf68ddf9281aa8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a520cbeb132a68eeb38f34e87e71f2749">getTexcoordRect</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Billboard.html#a520cbeb132a68eeb38f34e87e71f2749" title="getTexcoordRect() returns the previous value set by setTexcoordRect().">getTexcoordRect()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a>.  <a href="#a520cbeb132a68eeb38f34e87e71f2749"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aa7ad6c8789d8589787c4da34c670d66c">mPosition</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a64425b354973d2d957bc878fca407aad">mDirection</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aaa2fce61abce942e356fd81925c394fd">mParentSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aef9f7ad996732865cd2c8842ee265064">mColour</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#ad861053413ca65e059dd74131a084839">mRotation</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#afb34875469363c35f235c8746d8664f2">mOwnDimensions</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a45a151660ff2ea011a7c051f50d18ef3">mUseTexcoordRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a3d416b1519dc19dde0550cf8ac92d1e1">mTexcoordIndex</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a8100e3deb204c1c8d5f2dd4429cad6b2">mTexcoordRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#aa025549188dc792b76507cf2c7f02c9f">mWidth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a19e9a04c451b91b5c74d61b7040c9adb">mHeight</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a7f055c0ed81c6b3bef6d154d128093a1">BillboardSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Billboard.html#a261647d2b3ed936e9a2f05309ae878d0">BillboardParticleRenderer</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A billboard is a primitive which always faces the camera in every frame. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Billboards can be used for special effects or some other trickery which requires the triangles to always facing the camera no matter where it is. <a class="el" href="namespaceOgre.html">Ogre</a> groups billboards into sets for efficiency, so you should never create a billboard on it's own (it's ok to have a set of one if you need it). </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Billboards have their geometry generated every frame depending on where the camera is. It is most beneficial for all billboards in a set to be identically sized since <a class="el" href="namespaceOgre.html">Ogre</a> can take advantage of this and save some calculations - useful when you have sets of hundreds of billboards as is possible with special effects. You can deviate from this if you wish (example: a smoke effect would probably have smoke puffs expanding as they rise, so each billboard will legitimately have it's own size) but be aware the extra overhead this brings and try to avoid it if you can. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Billboards are just the mechanism for rendering a range of effects such as particles. It is other classes which use billboards to create their individual effects, so the methods here are quite generic. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00066">66</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a39ef001d2052cbae98014753e210b732"></a><!-- doxytag: member="Ogre::Billboard::Billboard" ref="a39ef001d2052cbae98014753e210b732" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Billboard.html#a39ef001d2052cbae98014753e210b732">Ogre::Billboard::Billboard</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default constructor. </p>

</div>
</div>
<a class="anchor" id="a3ef9bffd0c2a51d1bbac274bdf86c869"></a><!-- doxytag: member="Ogre::Billboard::~Billboard" ref="a3ef9bffd0c2a51d1bbac274bdf86c869" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Billboard.html#a3ef9bffd0c2a51d1bbac274bdf86c869">Ogre::Billboard::~Billboard</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default destructor. </p>

</div>
</div>
<a class="anchor" id="aff96bdb3a3446cdf08499e58aa03c3c5"></a><!-- doxytag: member="Ogre::Billboard::Billboard" ref="aff96bdb3a3446cdf08499e58aa03c3c5" args="(const Vector3 &amp;position, BillboardSet *owner, const ColourValue &amp;colour=ColourValue::White)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Billboard.html#a39ef001d2052cbae98014753e210b732">Ogre::Billboard::Billboard</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&#160;</td>
          <td class="paramname"><em>owner</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>colour</em> = <code><a class="el" href="classOgre_1_1ColourValue.html#a8eba66b2908f44f00f8d9c9ec25877de">ColourValue::White</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Normal constructor as called by <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a88d66ce919092367df57a2e3abcae059"></a><!-- doxytag: member="Ogre::Billboard::_notifyOwner" ref="a88d66ce919092367df57a2e3abcae059" args="(BillboardSet *owner)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#a88d66ce919092367df57a2e3abcae059">Ogre::Billboard::_notifyOwner</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a> *&#160;</td>
          <td class="paramname"><em>owner</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for notifying the billboard of it's owner. </p>

</div>
</div>
<a class="anchor" id="adc2355d3465e10bde213705e432e0826"></a><!-- doxytag: member="Ogre::Billboard::getColour" ref="adc2355d3465e10bde213705e432e0826" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a>&amp; <a class="el" href="classOgre_1_1Billboard.html#adc2355d3465e10bde213705e432e0826">Ogre::Billboard::getColour</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the colour of this billboard. </p>

</div>
</div>
<a class="anchor" id="a0baf5a83e70a59a3cdaf4ce4a929b4d4"></a><!-- doxytag: member="Ogre::Billboard::getOwnHeight" ref="a0baf5a83e70a59a3cdaf4ce4a929b4d4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#a0baf5a83e70a59a3cdaf4ce4a929b4d4">Ogre::Billboard::getOwnHeight</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the billboard's personal width, if hasOwnDimensions is true. </p>

</div>
</div>
<a class="anchor" id="adc14c9f66bf55dc51286b163f1417fbb"></a><!-- doxytag: member="Ogre::Billboard::getOwnWidth" ref="adc14c9f66bf55dc51286b163f1417fbb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#adc14c9f66bf55dc51286b163f1417fbb">Ogre::Billboard::getOwnWidth</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieves the billboard's personal width, if hasOwnDimensions is true. </p>

</div>
</div>
<a class="anchor" id="a36dfa19a35f697aadf9844021fcedb03"></a><!-- doxytag: member="Ogre::Billboard::getPosition" ref="a36dfa19a35f697aadf9844021fcedb03" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; <a class="el" href="classOgre_1_1Billboard.html#a36dfa19a35f697aadf9844021fcedb03">Ogre::Billboard::getPosition</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the position of the billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#ae57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div>
<a class="anchor" id="a21d65daa1be659c9234da380b8e9f2f4"></a><!-- doxytag: member="Ogre::Billboard::getRotation" ref="a21d65daa1be659c9234da380b8e9f2f4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; <a class="el" href="classOgre_1_1Billboard.html#a21d65daa1be659c9234da380b8e9f2f4">Ogre::Billboard::getRotation</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the rotation of the billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This rotation is relative to the center of the billboard. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00103">103</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a44c9c4056e597a7b50d8881fc1d1785d"></a><!-- doxytag: member="Ogre::Billboard::getTexcoordIndex" ref="a44c9c4056e597a7b50d8881fc1d1785d" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Billboard.html#a44c9c4056e597a7b50d8881fc1d1785d">Ogre::Billboard::getTexcoordIndex</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Billboard.html#a44c9c4056e597a7b50d8881fc1d1785d" title="getTexcoordIndex() returns the previous value set by setTexcoordIndex().">getTexcoordIndex()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">setTexcoordIndex()</a>. </p>
<p>The default value is 0, which is always a valid texture coordinate set. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This value is useful only when isUseTexcoordRect return false. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00197">197</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a520cbeb132a68eeb38f34e87e71f2749"></a><!-- doxytag: member="Ogre::Billboard::getTexcoordRect" ref="a520cbeb132a68eeb38f34e87e71f2749" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a>&amp; <a class="el" href="classOgre_1_1Billboard.html#a520cbeb132a68eeb38f34e87e71f2749">Ogre::Billboard::getTexcoordRect</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Billboard.html#a520cbeb132a68eeb38f34e87e71f2749" title="getTexcoordRect() returns the previous value set by setTexcoordRect().">getTexcoordRect()</a> returns the previous value set by <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This value is useful only when isUseTexcoordRect return true. </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00217">217</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3857d9e9a3e831f8621598be8ad54e16"></a><!-- doxytag: member="Ogre::Billboard::hasOwnDimensions" ref="a3857d9e9a3e831f8621598be8ad54e16" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#a3857d9e9a3e831f8621598be8ad54e16">Ogre::Billboard::hasOwnDimensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if this billboard deviates from the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>'s default dimensions (i.e. </p>
<p>if the <a class="el" href="classOgre_1_1Billboard.html#ac7c7422926a4387ae58c7303b701b8f0" title="Sets the width and height for this billboard.">Billboard::setDimensions</a> method has been called for this instance). </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Billboard.html#ac7c7422926a4387ae58c7303b701b8f0" title="Sets the width and height for this billboard.">Billboard::setDimensions</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aeea6556e787c984b97bf779b7b90dbb1"></a><!-- doxytag: member="Ogre::Billboard::isUseTexcoordRect" ref="aeea6556e787c984b97bf779b7b90dbb1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#aeea6556e787c984b97bf779b7b90dbb1">Ogre::Billboard::isUseTexcoordRect</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns true if this billboard use individual texture coordinate rect (i.e. </p>
<p>if the <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">Billboard::setTexcoordRect</a> method has been called for this instance), or returns false if use texture coordinates defined in the parent <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>'s texture coordinates array (i.e. if the <a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">Billboard::setTexcoordIndex</a> method has been called for this instance). </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">Billboard::setTexcoordIndex()</a> <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">Billboard::setTexcoordRect()</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00181">181</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Billboard::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Billboard::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Billboard::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Billboard::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Billboard::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Billboard::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Billboard::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Billboard::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Billboard::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Billboard::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5bf31f1d013a1f0c3b5a92e46c76d11"></a><!-- doxytag: member="Ogre::Billboard::resetDimensions" ref="ae5bf31f1d013a1f0c3b5a92e46c76d11" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#ae5bf31f1d013a1f0c3b5a92e46c76d11">Ogre::Billboard::resetDimensions</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets this <a class="el" href="classOgre_1_1Billboard.html" title="A billboard is a primitive which always faces the camera in every frame.">Billboard</a> to use the parent <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>'s dimensions instead of it's own. </p>

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00142">142</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9126c29605e55b8bdb5f81adf267259a"></a><!-- doxytag: member="Ogre::Billboard::setColour" ref="a9126c29605e55b8bdb5f81adf267259a" args="(const ColourValue &amp;colour)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#a9126c29605e55b8bdb5f81adf267259a">Ogre::Billboard::setColour</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> &amp;&#160;</td>
          <td class="paramname"><em>colour</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the colour of this billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Billboards can be tinted based on a base colour. This allows variations in colour irrespective of the base colour of the material allowing more varied billboards. The default colour is white. The tinting is effected using vertex colours. </dd></dl>

</div>
</div>
<a class="anchor" id="ac7c7422926a4387ae58c7303b701b8f0"></a><!-- doxytag: member="Ogre::Billboard::setDimensions" ref="ac7c7422926a4387ae58c7303b701b8f0" args="(Real width, Real height)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#ac7c7422926a4387ae58c7303b701b8f0">Ogre::Billboard::setDimensions</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the width and height for this billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Note that it is most efficient for every billboard in a <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a> to have the same dimensions. If you choose to alter the dimensions of an individual billboard the set will be less efficient. Do not call this method unless you really need to have different billboard dimensions within the same set. Otherwise just call the <a class="el" href="classOgre_1_1BillboardSet.html#ac3b1429e01d1fc5b20152eb2fe077ead" title="Sets the default dimensions of the billboards in this set.">BillboardSet::setDefaultDimensions</a> method instead. </dd></dl>

</div>
</div>
<a class="anchor" id="aeb9ce5d9c11492faf34f3ee61e4a4a40"></a><!-- doxytag: member="Ogre::Billboard::setPosition" ref="aeb9ce5d9c11492faf34f3ee61e4a4a40" args="(const Vector3 &amp;position)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#aeb9ce5d9c11492faf34f3ee61e4a4a40">Ogre::Billboard::setPosition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the position of the billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#ae57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div>
<a class="anchor" id="a0e78e6b90bbf3184f45d0a87bbeb229b"></a><!-- doxytag: member="Ogre::Billboard::setPosition" ref="a0e78e6b90bbf3184f45d0a87bbeb229b" args="(Real x, Real y, Real z)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#aeb9ce5d9c11492faf34f3ee61e4a4a40">Ogre::Billboard::setPosition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>z</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the position of the billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This position is relative to a point on the quad which is the billboard. Depending on the <a class="el" href="classOgre_1_1BillboardSet.html" title="A collection of billboards (faces which are always facing the given direction) with the same (default...">BillboardSet</a>, this may be the center of the quad, the top-left etc. See <a class="el" href="classOgre_1_1BillboardSet.html#ae57f3915d9864c79ca7f0735679f7a13" title="Sets the point which acts as the origin point for all billboards in this set.">BillboardSet::setBillboardOrigin</a> for more info. </dd></dl>

</div>
</div>
<a class="anchor" id="a8e64eda09ec65dea10dc180b68801d94"></a><!-- doxytag: member="Ogre::Billboard::setRotation" ref="a8e64eda09ec65dea10dc180b68801d94" args="(const Radian &amp;rotation)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#a8e64eda09ec65dea10dc180b68801d94">Ogre::Billboard::setRotation</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rotation</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the rotation of the billboard. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This rotation is relative to the center of the billboard. </dd></dl>

</div>
</div>
<a class="anchor" id="ae8aa54c0303721dfc34ebbd8bdf1e8f4"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordIndex" ref="ae8aa54c0303721dfc34ebbd8bdf1e8f4" args="(uint16 texcoordIndex)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4">Ogre::Billboard::setTexcoordIndex</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a>&#160;</td>
          <td class="paramname"><em>texcoordIndex</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Billboard.html#ae8aa54c0303721dfc34ebbd8bdf1e8f4" title="setTexcoordIndex() sets which texture coordinate rect this billboard will use when rendering...">setTexcoordIndex()</a> sets which texture coordinate rect this billboard will use when rendering. </p>
<p>The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1BillboardSet.html#a674d274f03d34cc1446f7de9255236a7" title="BillboardSet can use custom texture coordinates for various billboards.">BillboardSet::setTextureCoords()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a22f28d979395f04c6039d46a68c4eefb"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordRect" ref="a22f28d979395f04c6039d46a68c4eefb" args="(const FloatRect &amp;texcoordRect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb">Ogre::Billboard::setTexcoordRect</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a> &amp;&#160;</td>
          <td class="paramname"><em>texcoordRect</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering. </p>
<p>The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. </p>

</div>
</div>
<a class="anchor" id="a78525470bb318948f9cf68ddf9281aa8"></a><!-- doxytag: member="Ogre::Billboard::setTexcoordRect" ref="a78525470bb318948f9cf68ddf9281aa8" args="(Real u0, Real v0, Real u1, Real v1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb">Ogre::Billboard::setTexcoordRect</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>u0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>v0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>u1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>v1</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Billboard.html#a22f28d979395f04c6039d46a68c4eefb" title="setTexcoordRect() sets the individual texture coordinate rect of this billboard will use when renderi...">setTexcoordRect()</a> sets the individual texture coordinate rect of this billboard will use when rendering. </p>
<p>The parent billboard set may contain more than one, in which case a billboard can be textured with different pieces of a larger texture sheet very efficiently. </p>

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="a261647d2b3ed936e9a2f05309ae878d0"></a><!-- doxytag: member="Ogre::Billboard::BillboardParticleRenderer" ref="a261647d2b3ed936e9a2f05309ae878d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1BillboardParticleRenderer.html">BillboardParticleRenderer</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00069">69</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f055c0ed81c6b3bef6d154d128093a1"></a><!-- doxytag: member="Ogre::Billboard::BillboardSet" ref="a7f055c0ed81c6b3bef6d154d128093a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00068">68</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aef9f7ad996732865cd2c8842ee265064"></a><!-- doxytag: member="Ogre::Billboard::mColour" ref="aef9f7ad996732865cd2c8842ee265064" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ColourValue.html">ColourValue</a> <a class="el" href="classOgre_1_1Billboard.html#aef9f7ad996732865cd2c8842ee265064">Ogre::Billboard::mColour</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00084">84</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a64425b354973d2d957bc878fca407aad"></a><!-- doxytag: member="Ogre::Billboard::mDirection" ref="a64425b354973d2d957bc878fca407aad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Billboard.html#a64425b354973d2d957bc878fca407aad">Ogre::Billboard::mDirection</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00082">82</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a19e9a04c451b91b5c74d61b7040c9adb"></a><!-- doxytag: member="Ogre::Billboard::mHeight" ref="a19e9a04c451b91b5c74d61b7040c9adb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#a19e9a04c451b91b5c74d61b7040c9adb">Ogre::Billboard::mHeight</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00076">76</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb34875469363c35f235c8746d8664f2"></a><!-- doxytag: member="Ogre::Billboard::mOwnDimensions" ref="afb34875469363c35f235c8746d8664f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#afb34875469363c35f235c8746d8664f2">Ogre::Billboard::mOwnDimensions</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00071">71</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaa2fce61abce942e356fd81925c394fd"></a><!-- doxytag: member="Ogre::Billboard::mParentSet" ref="aaa2fce61abce942e356fd81925c394fd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BillboardSet.html">BillboardSet</a>* <a class="el" href="classOgre_1_1Billboard.html#aaa2fce61abce942e356fd81925c394fd">Ogre::Billboard::mParentSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00083">83</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7ad6c8789d8589787c4da34c670d66c"></a><!-- doxytag: member="Ogre::Billboard::mPosition" ref="aa7ad6c8789d8589787c4da34c670d66c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Billboard.html#aa7ad6c8789d8589787c4da34c670d66c">Ogre::Billboard::mPosition</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00080">80</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad861053413ca65e059dd74131a084839"></a><!-- doxytag: member="Ogre::Billboard::mRotation" ref="ad861053413ca65e059dd74131a084839" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Billboard.html#ad861053413ca65e059dd74131a084839">Ogre::Billboard::mRotation</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00085">85</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3d416b1519dc19dde0550cf8ac92d1e1"></a><!-- doxytag: member="Ogre::Billboard::mTexcoordIndex" ref="a3d416b1519dc19dde0550cf8ac92d1e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="el" href="classOgre_1_1Billboard.html#a3d416b1519dc19dde0550cf8ac92d1e1">Ogre::Billboard::mTexcoordIndex</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00073">73</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8100e3deb204c1c8d5f2dd4429cad6b2"></a><!-- doxytag: member="Ogre::Billboard::mTexcoordRect" ref="a8100e3deb204c1c8d5f2dd4429cad6b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#ga39213af9254535e83b4beca0859e8a2f">FloatRect</a> <a class="el" href="classOgre_1_1Billboard.html#a8100e3deb204c1c8d5f2dd4429cad6b2">Ogre::Billboard::mTexcoordRect</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00074">74</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="a45a151660ff2ea011a7c051f50d18ef3"></a><!-- doxytag: member="Ogre::Billboard::mUseTexcoordRect" ref="a45a151660ff2ea011a7c051f50d18ef3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Billboard.html#a45a151660ff2ea011a7c051f50d18ef3">Ogre::Billboard::mUseTexcoordRect</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00072">72</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa025549188dc792b76507cf2c7f02c9f"></a><!-- doxytag: member="Ogre::Billboard::mWidth" ref="aa025549188dc792b76507cf2c7f02c9f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Billboard.html#aa025549188dc792b76507cf2c7f02c9f">Ogre::Billboard::mWidth</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreBillboard_8h_source.html#l00075">75</a> of file <a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreBillboard_8h_source.html">OgreBillboard.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
